Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 51)
@@ -6196,434 +7778,437 @@
         #endregion
 
         #region 人件費再計算
-        /// <summary>
-        /// 人件費再計算
-        /// </summary>
-        private void RecalcalculationPersonnelExpenses()
-        {
-            IOConstructionLedger LedgerDB = new IOConstructionLedger();
-            IOConstructionLedgerDetail LDetailDB = new IOConstructionLedgerDetail();
-            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
-            FrmConstructionLedger frm = new FrmConstructionLedger();
-            try
-            {
-                // ------ 通常分
-                string strSQL = "SELECT A.CONSTRUCTIONCODE";
-                strSQL += " , B.CreatorCode B1";
-                strSQL += " , B.SalaryFlg B2";
-                strSQL += " , B.SalaryDays B3";
-                strSQL += " , B.AssistantCode B4";
-                strSQL += " , B.A_SalaryFlg B5";
-                strSQL += " , B.A_SalaryDays B6";
-                strSQL += " , B.InstructorCode B7";
-                strSQL += " , B.I_SalaryFlg B8";
-                strSQL += " , B.I_SalaryDays B9";
-                strSQL += " , C.CONSTRUCTIONPERSONCODE C10";
-                strSQL += " , C.CONSTRSUBPERSONCODE C11";
-                strSQL += " , C.CONSTRUCTIONINSTRUCTOR C12";
-                strSQL += " , C.CONSTRUCTIONPERIODSTART C13";
-                strSQL += " , C.CONSTRUCTIONPERIODSTART2 C14";
-                strSQL += " , C.CONSTRUCTIONPERIODEND C15";
-                strSQL += " , C.CONSTRUCTIONPERIODEND2 C16";
-                strSQL += " , C.CONSTRUCTIONPERIOD C17";
-                strSQL += " , count(*)";
-                strSQL += " FROM CONSTRUCTIONLEDGER A LEFT JOIN CONSTRUCTIONBUDGET B ON A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-                strSQL += " , CONSTRUCTIONBASEINFO C";
-                strSQL += " WHERE A.CONSTRUCTIONCODE = C.CONSTRUCTIONCODE";
-                strSQL += " GROUP BY A.CONSTRUCTIONCODE, B.CreatorCode, B.AssistantCode, B.InstructorCode, B.SalaryFlg, ";
-                strSQL += " B.SalaryDays, B.A_SalaryFlg, B.A_SalaryDays, B.I_SalaryFlg, B.I_SalaryDays, ";
-                strSQL += " C.CONSTRUCTIONPERSONCODE, C.CONSTRSUBPERSONCODE, C.CONSTRUCTIONINSTRUCTOR, C.CONSTRUCTIONPERIOD, C.CONSTRUCTIONPERIODSTART, ";
-                strSQL += " C.CONSTRUCTIONPERIODSTART2, C.CONSTRUCTIONPERIODEND, C.CONSTRUCTIONPERIODEND2";
-                strSQL += " ORDER BY A.CONSTRUCTIONCODE";
+        ///// <summary>
+        ///// 人件費再計算
+        ///// </summary>
+        //private void RecalcalculationPersonnelExpenses()
+        //{
+        //    IOConstructionLedger LedgerDB = new IOConstructionLedger();
+        //    IOConstructionLedgerDetail LDetailDB = new IOConstructionLedgerDetail();
+        //    IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+        //    FrmConstructionLedger frm = new FrmConstructionLedger();
+        //    try
+        //    {
+        //        // ------ 通常分
+        //        string strSQL = "SELECT A.CONSTRUCTIONCODE";
+        //        strSQL += " , B.CreatorCode B1";
+        //        strSQL += " , B.SalaryFlg B2";
+        //        strSQL += " , B.SalaryDays B3";
+        //        strSQL += " , B.AssistantCode B4";
+        //        strSQL += " , B.A_SalaryFlg B5";
+        //        strSQL += " , B.A_SalaryDays B6";
+        //        strSQL += " , B.InstructorCode B7";
+        //        strSQL += " , B.I_SalaryFlg B8";
+        //        strSQL += " , B.I_SalaryDays B9";
+        //        strSQL += " , C.CONSTRUCTIONPERSONCODE C10";
+        //        strSQL += " , C.CONSTRSUBPERSONCODE C11";
+        //        strSQL += " , C.CONSTRUCTIONINSTRUCTOR C12";
+        //        strSQL += " , C.CONSTRUCTIONPERIODSTART C13";
+        //        strSQL += " , C.CONSTRUCTIONPERIODSTART2 C14";
+        //        strSQL += " , C.CONSTRUCTIONPERIODEND C15";
+        //        strSQL += " , C.CONSTRUCTIONPERIODEND2 C16";
+        //        strSQL += " , C.CONSTRUCTIONPERIOD C17";
+        //        strSQL += " , count(*)";
+        //        strSQL += " FROM CONSTRUCTIONLEDGER A LEFT JOIN CONSTRUCTIONBUDGET B ON A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
+        //        strSQL += " , CONSTRUCTIONBASEINFO C";
+        //        strSQL += " WHERE A.CONSTRUCTIONCODE = C.CONSTRUCTIONCODE";
+        //        strSQL += " GROUP BY A.CONSTRUCTIONCODE, B.CreatorCode, B.AssistantCode, B.InstructorCode, B.SalaryFlg, ";
+        //        strSQL += " B.SalaryDays, B.A_SalaryFlg, B.A_SalaryDays, B.I_SalaryFlg, B.I_SalaryDays, ";
+        //        strSQL += " C.CONSTRUCTIONPERSONCODE, C.CONSTRSUBPERSONCODE, C.CONSTRUCTIONINSTRUCTOR, C.CONSTRUCTIONPERIOD, C.CONSTRUCTIONPERIODSTART, ";
+        //        strSQL += " C.CONSTRUCTIONPERIODSTART2, C.CONSTRUCTIONPERIODEND, C.CONSTRUCTIONPERIODEND2";
+        //        strSQL += " ORDER BY A.CONSTRUCTIONCODE";
 
-                ArrayList DatList = new ArrayList();
-                if (!LedgerDB.ExecuteReader(strSQL, ref DatList)) return;
+        //        ArrayList DatList = new ArrayList();
+        //        if (!LedgerDB.ExecuteReader(strSQL, ref DatList)) return;
 
-                LDetailDB.connect(); LDetailDB.beginTran();
-                PersonDB.connect(); PersonDB.beginTran();
-                foreach (object[] objArry in DatList)
-                {
-                    ConstructionLedgerDetail DetailRec1 = new ConstructionLedgerDetail();
-                    SetDatailData(PersonDB, (int)DataGroup.Payroll, objArry, ref DetailRec1);
-                    if (!LDetailDB.InsertAction(DetailRec1))
-                    {
-                        LDetailDB.rollback();
-                        PersonDB.rollback();
-                        break;
-                    }
+        //        LDetailDB.connect(); LDetailDB.beginTran();
+        //        PersonDB.connect(); PersonDB.beginTran();
+        //        foreach (object[] objArry in DatList)
+        //        {
+        //            ConstructionLedgerDetail DetailRec1 = new ConstructionLedgerDetail();
+        //            SetDatailData(PersonDB, (int)DataGroup.Payroll, objArry, ref DetailRec1);
+        //            if (!LDetailDB.InsertAction(DetailRec1))
+        //            {
+        //                LDetailDB.rollback();
+        //                PersonDB.rollback();
+        //                break;
+        //            }
 
-                    ConstructionLedgerDetail DetailRec2 = new ConstructionLedgerDetail();
-                    SetDatailData(PersonDB, (int)DataGroup.Assistant, objArry, ref DetailRec2);
-                    if(!LDetailDB.InsertAction(DetailRec2))
-                    {
-                        LDetailDB.rollback();
-                        PersonDB.rollback();
-                        break;
-                    }
+        //            ConstructionLedgerDetail DetailRec2 = new ConstructionLedgerDetail();
+        //            SetDatailData(PersonDB, (int)DataGroup.Assistant, objArry, ref DetailRec2);
+        //            if(!LDetailDB.InsertAction(DetailRec2))
+        //            {
+        //                LDetailDB.rollback();
+        //                PersonDB.rollback();
+        //                break;
+        //            }
 
-                    ConstructionLedgerDetail DetailRec3 = new ConstructionLedgerDetail();
-                    SetDatailData(PersonDB, (int)DataGroup.Instructor, objArry, ref DetailRec3);
-                    if(!LDetailDB.InsertAction(DetailRec3))
-                    {
-                        LDetailDB.rollback();
-                        PersonDB.rollback();
-                        break;
-                    }
+        //            ConstructionLedgerDetail DetailRec3 = new ConstructionLedgerDetail();
+        //            SetDatailData(PersonDB, (int)DataGroup.Instructor, objArry, ref DetailRec3);
+        //            if(!LDetailDB.InsertAction(DetailRec3))
+        //            {
+        //                LDetailDB.rollback();
+        //                PersonDB.rollback();
+        //                break;
+        //            }
 
-                    // 工事コードのセット
-                    frm.ConstructionCode = CommonMotions.cnvInt(objArry[0]);
+        //            // 工事コードのセット
+        //            frm.ConstructionCode = CommonMotions.cnvInt(objArry[0]);
 
-                    // 見えない画面を出す
-                    frm.Hide();
+        //            // 見えない画面を出す
+        //            frm.Hide();
 
-                    // 再計算処理
-                    if (!frm.RecalculateLedger) break;
-                }
+        //            // 再計算処理
+        //            if (!frm.RecalculateLedger) break;
+        //        }
 
-                // ------ 工事増減分
-                strSQL = "SELECT A.CONSTRUCTIONCODE";
-                strSQL += " , B.CreatorCode B1";
-                strSQL += " , B.SalaryFlg B2";
-                strSQL += " , B.SalaryDays B3";
-                strSQL += " , B.AssistantCode B4";
-                strSQL += " , B.A_SalaryFlg B5";
-                strSQL += " , B.A_SalaryDays B6";
-                strSQL += " , B.InstructorCode B7";
-                strSQL += " , B.I_SalaryFlg B8";
-                strSQL += " , B.I_SalaryDays B9";
-                strSQL += " , A.CONSTRUCTIONPERSONCODE C10";
-                strSQL += " , A.CONSTRSUBPERSONCODE C11";
-                strSQL += " , A.CONSTRUCTIONINSTRUCTOR C12";
-                strSQL += " , A.CONSTRUCTIONPERIODSTART C13";
-                strSQL += " , A.CONSTRUCTIONPERIODSTART2 C14";
-                strSQL += " , A.CONSTRUCTIONPERIODEND C15";
-                strSQL += " , A.CONSTRUCTIONPERIODEND2 C16";
-                strSQL += " , A.CONSTRUCTIONPERIOD C17";
-                strSQL += " , C.CONSTRUCTIONCODE C18";
-                strSQL += " , D.COMPANYCODE D19";
-                strSQL += " , E.COMPANYCODE E20";
-                strSQL += " , F.COMPANYCODE F21";
-                strSQL += " , count(*)";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBUDGET B, CONSTRUCTIONLINK C";
-                strSQL += " LEFT JOIN CONSTRUCTIONLEDGERDETAIL D ON C.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE AND D.GROUPCOUNT = 11";
-                strSQL += " LEFT JOIN CONSTRUCTIONLEDGERDETAIL E ON C.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE AND E.GROUPCOUNT = 10";
-                strSQL += " LEFT JOIN CONSTRUCTIONLEDGERDETAIL F ON C.CONSTRUCTIONCODE = F.CONSTRUCTIONCODE AND F.GROUPCOUNT = 9";
-                strSQL += " WHERE A.TYINGFLG = 2";
-                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += " AND C.FLUCTUATIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += " group by A.CONSTRUCTIONCODE, B.CreatorCode, B.SalaryFlg, B.SalaryDays, B.AssistantCode, ";
-                strSQL += " B.A_SalaryFlg, B.A_SalaryDays, B.InstructorCode, B.I_SalaryFlg, B.I_SalaryDays, ";
-                strSQL += " A.CONSTRUCTIONPERSONCODE, A.CONSTRSUBPERSONCODE, A.CONSTRUCTIONINSTRUCTOR, A.CONSTRUCTIONPERIODSTART, A.CONSTRUCTIONPERIODSTART2, ";
-                strSQL += " A.CONSTRUCTIONPERIODEND, A.CONSTRUCTIONPERIODEND2, A.CONSTRUCTIONPERIOD, C.CONSTRUCTIONCODE, D.COMPANYCODE, E.COMPANYCODE, F.COMPANYCODE";
-                strSQL += " ORDER BY A.CONSTRUCTIONCODE";
+        //        // ------ 工事増減分
+        //        strSQL = "SELECT A.CONSTRUCTIONCODE";
+        //        strSQL += " , B.CreatorCode B1";
+        //        strSQL += " , B.SalaryFlg B2";
+        //        strSQL += " , B.SalaryDays B3";
+        //        strSQL += " , B.AssistantCode B4";
+        //        strSQL += " , B.A_SalaryFlg B5";
+        //        strSQL += " , B.A_SalaryDays B6";
+        //        strSQL += " , B.InstructorCode B7";
+        //        strSQL += " , B.I_SalaryFlg B8";
+        //        strSQL += " , B.I_SalaryDays B9";
+        //        strSQL += " , A.CONSTRUCTIONPERSONCODE C10";
+        //        strSQL += " , A.CONSTRSUBPERSONCODE C11";
+        //        strSQL += " , A.CONSTRUCTIONINSTRUCTOR C12";
+        //        strSQL += " , A.CONSTRUCTIONPERIODSTART C13";
+        //        strSQL += " , A.CONSTRUCTIONPERIODSTART2 C14";
+        //        strSQL += " , A.CONSTRUCTIONPERIODEND C15";
+        //        strSQL += " , A.CONSTRUCTIONPERIODEND2 C16";
+        //        strSQL += " , A.CONSTRUCTIONPERIOD C17";
+        //        strSQL += " , C.CONSTRUCTIONCODE C18";
+        //        strSQL += " , D.COMPANYCODE D19";
+        //        strSQL += " , E.COMPANYCODE E20";
+        //        strSQL += " , F.COMPANYCODE F21";
+        //        strSQL += " , count(*)";
+        //        strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBUDGET B, CONSTRUCTIONLINK C";
+        //        strSQL += " LEFT JOIN CONSTRUCTIONLEDGERDETAIL D ON C.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE AND D.GROUPCOUNT = 11";
+        //        strSQL += " LEFT JOIN CONSTRUCTIONLEDGERDETAIL E ON C.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE AND E.GROUPCOUNT = 10";
+        //        strSQL += " LEFT JOIN CONSTRUCTIONLEDGERDETAIL F ON C.CONSTRUCTIONCODE = F.CONSTRUCTIONCODE AND F.GROUPCOUNT = 9";
+        //        strSQL += " WHERE A.TYINGFLG = 2";
+        //        strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+        //        strSQL += " AND C.FLUCTUATIONCODE = A.CONSTRUCTIONCODE";
+        //        strSQL += " group by A.CONSTRUCTIONCODE, B.CreatorCode, B.SalaryFlg, B.SalaryDays, B.AssistantCode, ";
+        //        strSQL += " B.A_SalaryFlg, B.A_SalaryDays, B.InstructorCode, B.I_SalaryFlg, B.I_SalaryDays, ";
+        //        strSQL += " A.CONSTRUCTIONPERSONCODE, A.CONSTRSUBPERSONCODE, A.CONSTRUCTIONINSTRUCTOR, A.CONSTRUCTIONPERIODSTART, A.CONSTRUCTIONPERIODSTART2, ";
+        //        strSQL += " A.CONSTRUCTIONPERIODEND, A.CONSTRUCTIONPERIODEND2, A.CONSTRUCTIONPERIOD, C.CONSTRUCTIONCODE, D.COMPANYCODE, E.COMPANYCODE, F.COMPANYCODE";
+        //        strSQL += " ORDER BY A.CONSTRUCTIONCODE";
 
-                ArrayList DatList2 = new ArrayList();
-                if (!LedgerDB.ExecuteReader(strSQL, ref DatList2)) return;
+        //        ArrayList DatList2 = new ArrayList();
+        //        if (!LedgerDB.ExecuteReader(strSQL, ref DatList2)) return;
 
-                bool recalc = false;
-                foreach (object[] objArry in DatList2)
-                {
-                    recalc = false;
-                    if (CommonMotions.cnvInt(objArry[1]) != CommonMotions.cnvInt(objArry[19]))
-                    {
-                        ConstructionLedgerDetail DetailRec1 = new ConstructionLedgerDetail();
-                        SetDatailData(PersonDB, (int)DataGroup.Payroll, objArry, ref DetailRec1, false);
-                        if (!LDetailDB.InsertAction(DetailRec1))
-                        {
-                            LDetailDB.rollback();
-                            PersonDB.rollback();
-                            break;
-                        }
-                        recalc = true;
-                    }
+        //        bool recalc = false;
+        //        foreach (object[] objArry in DatList2)
+        //        {
+        //            recalc = false;
+        //            if (CommonMotions.cnvInt(objArry[1]) != CommonMotions.cnvInt(objArry[19]))
+        //            {
+        //                ConstructionLedgerDetail DetailRec1 = new ConstructionLedgerDetail();
+        //                SetDatailData(PersonDB, (int)DataGroup.Payroll, objArry, ref DetailRec1, false);
+        //                if (!LDetailDB.InsertAction(DetailRec1))
+        //                {
+        //                    LDetailDB.rollback();
+        //                    PersonDB.rollback();
+        //                    break;
+        //                }
+        //                recalc = true;
+        //            }
 
-                    if (CommonMotions.cnvInt(objArry[4]) != CommonMotions.cnvInt(objArry[20]))
-                    {
-                        if (CommonMotions.cnvInt(objArry[4]) == 0 && CommonMotions.cnvInt(objArry[11]) == 0)
-                        {
+        //            if (CommonMotions.cnvInt(objArry[4]) != CommonMotions.cnvInt(objArry[20]))
+        //            {
+        //                if (CommonMotions.cnvInt(objArry[4]) == 0 && CommonMotions.cnvInt(objArry[11]) == 0)
+        //                {
 
-                        }
-                        else
-                        {
-                            ConstructionLedgerDetail DetailRec2 = new ConstructionLedgerDetail();
-                            SetDatailData(PersonDB, (int)DataGroup.Assistant, objArry, ref DetailRec2, false);
-                            if (!LDetailDB.InsertAction(DetailRec2))
-                            {
-                                LDetailDB.rollback();
-                                PersonDB.rollback();
-                                break;
-                            }
-                            recalc = true;
-                        }
-                    }
+        //                }
+        //                else
+        //                {
+        //                    ConstructionLedgerDetail DetailRec2 = new ConstructionLedgerDetail();
+        //                    SetDatailData(PersonDB, (int)DataGroup.Assistant, objArry, ref DetailRec2, false);
+        //                    if (!LDetailDB.InsertAction(DetailRec2))
+        //                    {
+        //                        LDetailDB.rollback();
+        //                        PersonDB.rollback();
+        //                        break;
+        //                    }
+        //                    recalc = true;
+        //                }
+        //            }
 
-                    if (CommonMotions.cnvInt(objArry[7]) != CommonMotions.cnvInt(objArry[21]))
-                    {
-                        if (CommonMotions.cnvInt(objArry[7]) == 0 && CommonMotions.cnvInt(objArry[12]) == 0)
-                        {
+        //            if (CommonMotions.cnvInt(objArry[7]) != CommonMotions.cnvInt(objArry[21]))
+        //            {
+        //                if (CommonMotions.cnvInt(objArry[7]) == 0 && CommonMotions.cnvInt(objArry[12]) == 0)
+        //                {
 
-                        }
-                        else
-                        {
-                            ConstructionLedgerDetail DetailRec3 = new ConstructionLedgerDetail();
-                            SetDatailData(PersonDB, (int)DataGroup.Instructor, objArry, ref DetailRec3, false);
-                            if (!LDetailDB.InsertAction(DetailRec3))
-                            {
-                                LDetailDB.rollback();
-                                PersonDB.rollback();
-                                break;
-                            }
-                            recalc = true;
-                        }
-                    }
+        //                }
+        //                else
+        //                {
+        //                    ConstructionLedgerDetail DetailRec3 = new ConstructionLedgerDetail();
+        //                    SetDatailData(PersonDB, (int)DataGroup.Instructor, objArry, ref DetailRec3, false);
+        //                    if (!LDetailDB.InsertAction(DetailRec3))
+        //                    {
+        //                        LDetailDB.rollback();
+        //                        PersonDB.rollback();
+        //                        break;
+        //                    }
+        //                    recalc = true;
+        //                }
+        //            }
 
-                    if (recalc)
-                    {
+        //            if (recalc)
+        //            {
 
-                        // 工事コードのセット
-                        frm.ConstructionCode = CommonMotions.cnvInt(objArry[18]);
+        //                // 工事コードのセット
+        //                frm.ConstructionCode = CommonMotions.cnvInt(objArry[18]);
 
-                        // 見えない画面を出す
-                        frm.Hide();
+        //                // 見えない画面を出す
+        //                frm.Hide();
 
-                        // 再計算処理
-                        if (!frm.RecalculateLedger) break;
-                    }
-                }
+        //                // 再計算処理
+        //                if (!frm.RecalculateLedger) break;
+        //            }
+        //        }
 
-                // 画面を閉じる
-                frm.Close();
+        //        // 画面を閉じる
+        //        frm.Close();
 
-                LDetailDB.commit();
-                PersonDB.commit();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                LedgerDB.close(); LedgerDB = null;
-                LDetailDB.close(); LDetailDB = null;
-                PersonDB.close(); PersonDB = null;
-                frm.Dispose(); frm = null;
-            }
-        }
+        //        LDetailDB.commit();
+        //        PersonDB.commit();
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //    finally
+        //    {
+        //        LedgerDB.close(); LedgerDB = null;
+        //        LDetailDB.close(); LDetailDB = null;
+        //        PersonDB.close(); PersonDB = null;
+        //        frm.Dispose(); frm = null;
+        //    }
+        //}
         #endregion
 
         #region 工事詳細台帳明細データセット
-        /// <summary>
-        /// 工事詳細台帳明細データセット
-        /// </summary>
-        /// <param name="GroupNo"></param>
-        /// <param name="objRec"></param>
-        /// <param name="DetailRec"></param>
-        private void SetDatailData(IOMPersonInCharge PersonDB, int GroupNo, object[] objRec, ref ConstructionLedgerDetail DetailRec, bool FirstFlg = true)
-        {
-            try
-            {
-                if (FirstFlg)
-                    DetailRec.ConstructionCode = CommonMotions.cnvInt(objRec[0]);	            // 工事コード
-                else
-                    DetailRec.ConstructionCode = CommonMotions.cnvInt(objRec[18]);	            // 工事コード
-                DetailRec.GroupCount = GroupNo;                                             // グループ番号
-                DetailRec.FirstString = s_GroupTitle[GroupNo];                              // 項目名称
-                DetailRec.CompanyType = (int)CommonDefine.SearchLogDataType.Person;         // 協力会社コードタイプ
-                DetailRec.FixDataFlg = 1;                   // 固定データフラグ
-                DetailRec.IndependentFlg = 1;               // 独立データフラグ
-                DetailRec.FluctuationFlg = 0;               // 増減データフラグ
-                DetailRec.OperatingFlg = (int)CommonDefine.SalaryOperateKind.Oparateing;        // 担当中フラグ
+        ///// <summary>
+        ///// 工事詳細台帳明細データセット
+        ///// </summary>
+        ///// <param name="GroupNo"></param>
+        ///// <param name="objRec"></param>
+        ///// <param name="DetailRec"></param>
+        //private void SetDatailData(IOMPersonInCharge PersonDB, int GroupNo, object[] objRec, ref ConstructionLedgerDetail DetailRec, bool FirstFlg = true)
+        //{
+        //    try
+        //    {
+        //        if (FirstFlg)
+        //            DetailRec.ConstructionCode = CommonMotions.cnvInt(objRec[0]);	            // 工事コード
+        //        else
+        //            DetailRec.ConstructionCode = CommonMotions.cnvInt(objRec[18]);	            // 工事コード
+        //        DetailRec.GroupCount = GroupNo;                                                 // グループ番号
+        //        DetailRec.FirstString = s_GroupTitle[GroupNo];                                  // 項目名称
+        //        DetailRec.CompanyType = (int)CommonDefine.SearchLogDataType.Person;             // 協力会社コードタイプ
+        //        DetailRec.FixDataFlg = 1;                   // 固定データフラグ
+        //        DetailRec.IndependentFlg = 1;               // 独立データフラグ
+        //        DetailRec.FluctuationFlg = 0;               // 増減データフラグ
+        //        DetailRec.OperatingFlg = (int)CommonDefine.SalaryOperateKind.Oparateing;        // 担当中フラグ
 
-                int iCompanyCode = 0;
-                int iPricevalue = 0;
-                int iSalaryFlg = 0;
-                int iSalaryDays = 0;
+        //        int iCompanyCode = 0;
+        //        int iPricevalue = 0;
+        //        int iSalaryFlg = 0;
+        //        int iSalaryDays = 0;
 
-                // 当期期首日・期末日を取得
-                DateTime dtDefaultStart = DateTime.MinValue;
-                DateTime dtDefaultEnd = DateTime.MinValue;
-                CreateDefaultStartAndEndDate(ref dtDefaultStart, ref dtDefaultEnd, CommonMotions.cnvInt(objRec[16]));
+        //        // 当期期首日・期末日を取得
+        //        DateTime dtDefaultStart = DateTime.MinValue;
+        //        DateTime dtDefaultEnd = DateTime.MinValue;
+        //        CreateDefaultStartAndEndDate(ref dtDefaultStart, ref dtDefaultEnd, CommonMotions.cnvInt(objRec[16]));
 
-                DateTime stDate = dtDefaultStart;
-                DateTime edDate = dtDefaultEnd;
-                DateTime maxDate = dtDefaultEnd;
-                // 最小の開始日を取得する
-                stDate = dtDefaultStart;
-                DateTime wrkDate = CommonMotions.cnvDate(objRec[13]).Date;
-                if (wrkDate != DateTime.MinValue && wrkDate < stDate) stDate = wrkDate;
-                wrkDate = CommonMotions.cnvDate(objRec[14]).Date;
-                if (wrkDate != DateTime.MinValue && wrkDate < stDate) stDate = wrkDate;
+        //        DateTime stDate = dtDefaultStart;
+        //        DateTime edDate = dtDefaultEnd;
+        //        DateTime maxDate = dtDefaultEnd;
+        //        // 最小の開始日を取得する
+        //        stDate = dtDefaultStart;
+        //        DateTime wrkDate = CommonMotions.cnvDate(objRec[13]).Date;
+        //        if (wrkDate != DateTime.MinValue && wrkDate < stDate) stDate = wrkDate;
+        //        wrkDate = CommonMotions.cnvDate(objRec[14]).Date;
+        //        if (wrkDate != DateTime.MinValue && wrkDate < stDate) stDate = wrkDate;
 
-                // 最大の終了日を取得する
-                maxDate = dtDefaultEnd;
-                wrkDate = CommonMotions.cnvDate(objRec[15]).Date;
-                if (wrkDate != DateTime.MinValue && wrkDate > maxDate) maxDate = wrkDate;
-                wrkDate = CommonMotions.cnvDate(objRec[16]).Date;
-                if (wrkDate != DateTime.MinValue && wrkDate > maxDate) maxDate = wrkDate;
+        //        // 最大の終了日を取得する
+        //        maxDate = dtDefaultEnd;
+        //        wrkDate = CommonMotions.cnvDate(objRec[15]).Date;
+        //        if (wrkDate != DateTime.MinValue && wrkDate > maxDate) maxDate = wrkDate;
+        //        wrkDate = CommonMotions.cnvDate(objRec[16]).Date;
+        //        if (wrkDate != DateTime.MinValue && wrkDate > maxDate) maxDate = wrkDate;
 
-                if (DetailRec.ConstructionCode == 2015050101)
-                {
-                    Debug.WriteLine("");
-                }
-                double Salary = 0;
-                double daylySalary = 0;
-                double DaysSalary = 0;
-                switch (GroupNo)
-                {
-                    case (int)FrmConstructionLedger.DataGroup.Payroll:
-                        // 担当者
-                        iCompanyCode = CommonMotions.cnvInt(objRec[1]);
-                        iSalaryFlg = CommonMotions.cnvInt(objRec[2]);
-                        iSalaryDays = CommonMotions.cnvInt(objRec[3]);
-                        if (iCompanyCode == 0)
-                        {
-                            iCompanyCode = CommonMotions.cnvInt(objRec[10]);
-                            iSalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
-                            iSalaryDays = 0;
-                        }
-                        if (iCompanyCode != 0)
-                        {
-                            // 担当者マスタより担当者名を取得する
-                            PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                            string strPerson = PersonDB.CreatePrimarykeyString(iCompanyCode);
-                            PersonDB.SelectAction(strPerson, ref PersonRec, false);
+        //        if (DetailRec.ConstructionCode == 2015050101)
+        //        {
+        //            Debug.WriteLine("");
+        //        }
+        //        double Salary = 0;
+        //        double daylySalary = 0;
+        //        double DaysSalary = 0;
+        //        switch (GroupNo)
+        //        {
+        //            case (int)FrmConstructionLedger.DataGroup.Payroll:
+        //                // 担当者
+        //                iCompanyCode = CommonMotions.cnvInt(objRec[1]);
+        //                iSalaryFlg = CommonMotions.cnvInt(objRec[2]);
+        //                iSalaryDays = CommonMotions.cnvInt(objRec[3]);
+        //                if (iCompanyCode == 0)
+        //                {
+        //                    iCompanyCode = CommonMotions.cnvInt(objRec[10]);
+        //                    iSalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
+        //                    iSalaryDays = 0;
+        //                }
+        //                if (iCompanyCode != 0)
+        //                {
+        //                    // 給与を取得する
+        //                    double MonthryCost = 0;
+        //                    double YearsCost = 0;
+        //                    // 担当者給与金額取得処理
+        //                    CommonMotions.GetSalaryValue(PersonDB, iCompanyCode, ref MonthryCost, ref YearsCost, DateTime.Today);
 
-                            Salary = PersonRec.MonthlySalary * CommonDefine.s_SalaryCorrection;                                      // 月額給与計算
-                            daylySalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);                          // 日当計算
+        //                    Salary = MonthryCost * CommonDefine.s_SalaryCorrection;                             // 月額給与計算
+        //                    daylySalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);     // 日当計算
+        //                    // 給与額計算
+        //                    CommonMotions.CalcPayValueData(MonthryCost,);
 
-                            // 工期と給与額を表示する
-                            switch (iSalaryFlg)
-                            {
-                                case (int)CommonDefine.SalaryDevision.All:
-                                    // ----- 全日振分
-                                    // 着工日
-                                    DateTime dtStart = stDate;
-                                    // 完了日
-                                    DateTime dtLast = maxDate;
+        //                    // 工期と給与額を表示する
+        //                    switch (iSalaryFlg)
+        //                    {
+        //                        case (int)CommonDefine.SalaryDevision.All:
+        //                            // ----- 全日振分
+        //                            // 着工日
+        //                            DateTime dtStart = stDate;
+        //                            // 完了日
+        //                            DateTime dtLast = maxDate;
 
-                                    // 稼働日取得
-                                    int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
+        //                            // 稼働日取得
+        //                            int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
 
-                                    // 給与計算
-                                    iPricevalue = CommonMotions.cnvRound(daylySalary * WorkingDay);
+        //                            // 給与計算
+        //                            iPricevalue = CommonMotions.cnvRound(daylySalary * WorkingDay);
 
-                                    break;
-                                case (int)CommonDefine.SalaryDevision.Noting:
-                                    // ----- 指定無し
+        //                            break;
+        //                        case (int)CommonDefine.SalaryDevision.Noting:
+        //                            // ----- 指定無し
 
-                                    break;
-                                case (int)CommonDefine.SalaryDevision.DaysInput:
-                                    // ----- 日数指定
-                                    iPricevalue = CommonMotions.cnvRound(daylySalary * iSalaryDays);
+        //                            break;
+        //                        case (int)CommonDefine.SalaryDevision.DaysInput:
+        //                            // ----- 日数指定
+        //                            iPricevalue = CommonMotions.cnvRound(daylySalary * iSalaryDays);
 
-                                    break;
-                            }
-                        }
-                        break;
-                    case (int)FrmConstructionLedger.DataGroup.Assistant:
-                        // 副担当者
-                        iCompanyCode = CommonMotions.cnvInt(objRec[4]);
-                        iSalaryFlg = CommonMotions.cnvInt(objRec[5]);
-                        iSalaryDays = CommonMotions.cnvInt(objRec[6]);
-                        if (iCompanyCode == 0)
-                        {
-                            iCompanyCode = CommonMotions.cnvInt(objRec[11]);
-                            iSalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
-                            iSalaryDays = 0;
-                        }
+        //                            break;
+        //                    }
+        //                }
+        //                break;
+        //            case (int)FrmConstructionLedger.DataGroup.Assistant:
+        //                // 副担当者
+        //                iCompanyCode = CommonMotions.cnvInt(objRec[4]);
+        //                iSalaryFlg = CommonMotions.cnvInt(objRec[5]);
+        //                iSalaryDays = CommonMotions.cnvInt(objRec[6]);
+        //                if (iCompanyCode == 0)
+        //                {
+        //                    iCompanyCode = CommonMotions.cnvInt(objRec[11]);
+        //                    iSalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
+        //                    iSalaryDays = 0;
+        //                }
 
-                        if (iCompanyCode != 0)
-                        {
-                            Salary = CommonDefine.AssistantMonthryCost;
-                            // 日額給与取得
-                            DaysSalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);
-                            // 工期と給与額を表示する
-                            switch (iSalaryFlg)
-                            {
-                                case (int)CommonDefine.SalaryDevision.All:
-                                    // ----- 全日振分
-                                    DateTime dtStart = stDate;
-                                    // 完了日
-                                    DateTime dtLast = maxDate;
+        //                if (iCompanyCode != 0)
+        //                {
+        //                    Salary = CommonDefine.AssistantMonthryCost;
+        //                    // 日額給与取得
+        //                    DaysSalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);
+        //                    // 工期と給与額を表示する
+        //                    switch (iSalaryFlg)
+        //                    {
+        //                        case (int)CommonDefine.SalaryDevision.All:
+        //                            // ----- 全日振分
+        //                            DateTime dtStart = stDate;
+        //                            // 完了日
+        //                            DateTime dtLast = maxDate;
 
-                                    // 稼働日取得
-                                    int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
+        //                            // 稼働日取得
+        //                            int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
 
-                                    // 給与計算
-                                    iPricevalue = CommonMotions.cnvRound(DaysSalary * WorkingDay);
-                                    break;
-                                case (int)CommonDefine.SalaryDevision.Noting:
-                                    // ----- 指定無し
+        //                            // 給与計算
+        //                            iPricevalue = CommonMotions.cnvRound(DaysSalary * WorkingDay);
+        //                            break;
+        //                        case (int)CommonDefine.SalaryDevision.Noting:
+        //                            // ----- 指定無し
 
-                                    break;
-                                case (int)CommonDefine.SalaryDevision.DaysInput:
-                                    // ----- 日数指定
-                                    // 給与計算
-                                    iPricevalue = CommonMotions.cnvRound(DaysSalary * iSalaryDays);
-                                    break;
-                            }
-                        }
-                        break;
+        //                            break;
+        //                        case (int)CommonDefine.SalaryDevision.DaysInput:
+        //                            // ----- 日数指定
+        //                            // 給与計算
+        //                            iPricevalue = CommonMotions.cnvRound(DaysSalary * iSalaryDays);
+        //                            break;
+        //                    }
+        //                }
+        //                break;
 
-                    case (int)FrmConstructionLedger.DataGroup.Instructor:
-                        // 指導員
-                        iCompanyCode = CommonMotions.cnvInt(objRec[7]);
-                        iSalaryFlg = CommonMotions.cnvInt(objRec[8]);
-                        iSalaryDays = CommonMotions.cnvInt(objRec[9]);
-                        if (iCompanyCode == 0)
-                        {
-                            iCompanyCode = CommonMotions.cnvInt(objRec[12]);
-                            iSalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
-                            iSalaryDays = 0;
-                        }
+        //            case (int)FrmConstructionLedger.DataGroup.Instructor:
+        //                // 指導員
+        //                iCompanyCode = CommonMotions.cnvInt(objRec[7]);
+        //                iSalaryFlg = CommonMotions.cnvInt(objRec[8]);
+        //                iSalaryDays = CommonMotions.cnvInt(objRec[9]);
+        //                if (iCompanyCode == 0)
+        //                {
+        //                    iCompanyCode = CommonMotions.cnvInt(objRec[12]);
+        //                    iSalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
+        //                    iSalaryDays = 0;
+        //                }
 
-                        if (iCompanyCode != 0)
-                        {
-                            // 月額給与計算
-                            Salary = CommonDefine.InstructorMonthryCost;
-                            // 日額給与取得
-                            DaysSalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);
-                            // 工期と給与額を表示する
-                            switch (iSalaryFlg)
-                            {
-                                case (int)CommonDefine.SalaryDevision.All:
-                                    // ----- 全日振分
-                                    DateTime dtStart = stDate;
-                                    // 完了日
-                                    DateTime dtLast = maxDate;
+        //                if (iCompanyCode != 0)
+        //                {
+        //                    // 月額給与計算
+        //                    Salary = CommonDefine.InstructorMonthryCost;
+        //                    // 日額給与取得
+        //                    DaysSalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);
+        //                    // 工期と給与額を表示する
+        //                    switch (iSalaryFlg)
+        //                    {
+        //                        case (int)CommonDefine.SalaryDevision.All:
+        //                            // ----- 全日振分
+        //                            DateTime dtStart = stDate;
+        //                            // 完了日
+        //                            DateTime dtLast = maxDate;
 
-                                    // 稼働日取得
-                                    int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
+        //                            // 稼働日取得
+        //                            int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
 
-                                    // 給与計算
-                                    iPricevalue = CommonMotions.cnvRound(DaysSalary * WorkingDay);
-                                    break;
-                                case (int)CommonDefine.SalaryDevision.Noting:
-                                    // ----- 指定無し
+        //                            // 給与計算
+        //                            iPricevalue = CommonMotions.cnvRound(DaysSalary * WorkingDay);
+        //                            break;
+        //                        case (int)CommonDefine.SalaryDevision.Noting:
+        //                            // ----- 指定無し
 
-                                    break;
-                                case (int)CommonDefine.SalaryDevision.DaysInput:
-                                    // ----- 日数指定
-                                    // 給与計算
-                                    iPricevalue = CommonMotions.cnvRound(DaysSalary * iSalaryDays);
-                                    break;
-                            }
-                        }
-                        break;
-                }
+        //                            break;
+        //                        case (int)CommonDefine.SalaryDevision.DaysInput:
+        //                            // ----- 日数指定
+        //                            // 給与計算
+        //                            iPricevalue = CommonMotions.cnvRound(DaysSalary * iSalaryDays);
+        //                            break;
+        //                    }
+        //                }
+        //                break;
+        //        }
 
-                DetailRec.CompanyCode = iCompanyCode;                   // 協力会社コード
-                DetailRec.EstimatePrice = iPricevalue;                  // 予算（見積）金額
-                DetailRec.ExecutionAmount = iPricevalue;                // 実行金額
-                DetailRec.SalaryFlg = iSalaryFlg;                       // 給与振分区分
-                DetailRec.SalaryDays = iSalaryDays;                     // 給与振分日数
+        //        DetailRec.CompanyCode = iCompanyCode;                   // 協力会社コード
+        //        DetailRec.EstimatePrice = iPricevalue;                  // 予算（見積）金額
+        //        DetailRec.ExecutionAmount = iPricevalue;                // 実行金額
+        //        DetailRec.SalaryFlg = iSalaryFlg;                       // 給与振分区分
+        //        DetailRec.SalaryDays = iSalaryDays;                     // 給与振分日数
 
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
         #endregion
 
         #region デフォルトの期首日・期末日を求める
